from storages.backends.s3boto3 import S3Boto3Storage


# inspired by https://theyashshahs.medium.com/aws-s3-signed-urls-in-django-d9e66853a42f


class ContentDocumentsStorage(S3Boto3Storage):
    location = "media/content_documents"
    default_acl = "private"


class ContentImagesStorage(S3Boto3Storage):
    location = "media/content_images"
    default_acl = "private"


class UserDocumentsStorage(S3Boto3Storage):
    location = "media/user_documents"
    default_acl = "private"


class UserImagesStorage(S3Boto3Storage):
    location = "media/user_images"
    default_acl = "private"
